#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets x11extras

TARGET   = coreshot
TEMPLATE = app

VERSION  = 2.7.0

# Library section
unix:!macx: LIBS += -lcprime -lX11

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        desktop.path  = $$PREFIX/share/applications/
        desktop.files = "coreshot.desktop"

        icons.path  = /usr/share/icons/hicolor/scalable/apps/
        icons.files = coreshot.svg

        INSTALLS += target icons desktop
}


FORMS += \
    coreshot.ui \
    coreshotdialog.ui
    
HEADERS += \
    coreshot.h \
    coreshotdialog.h \
    previewwidget.h

SOURCES += \
    coreshot.cpp \
    coreshotdialog.cpp \
    main.cpp \
    previewwidget.cpp
    
RESOURCES += \
    icons.qrc
